/*
 * Copyright (C) 2011 Paul Statham
 *               2012 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.army.heroes;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/** Describes a hero, which is a special unit that can equip items for
 * additional powers.
 */

@XmlRootElement(name = "hero")
public class Hero {
	
	@XmlElement(name = "name")
	private String name;
	
	@XmlElement(name = "backpack")
	private Backpack backpack;
	
	@XmlElement(name = "equipment")
	private Equipment equipment;

	/**
	 * Returns the name of our hero
	 * 
	 * @return the hero name as a string
	 */
	public String getName() {
		return name;
	}

}
