/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.army.jaxb;

import javax.xml.bind.annotation.XmlAttribute;

import org.freelords.army.UnitStat;


/** The xml representation of a single stat of a unit.
 *
 * Since jaxb does not natively support the mapping of maps, we need to
 * serialize them by hand. This class represents a single serializable stat of
 * a unit, consisting of a tuple (stat,value)
 */

public class XmlUnitStatEntry {

	private UnitStat stat;
	private int value;

	@XmlAttribute
	public UnitStat getStat() {
		return stat;
	}

	public void setStat(UnitStat stat) {
		this.stat = stat;
	}

	@XmlAttribute
	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}
}
