/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.army.jaxb;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;


/** The xml representation of a set of stats.
 *
 * Since jaxb does not natively support the mapping of maps, we need to
 * serialize them by hand. The way we do it is by representing the stats as a
 * list of single (stat,value) tuples.
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class XmlUnitStats {

	@XmlElement(name="entry")
	private List<XmlUnitStatEntry> statList;
	
	public List<XmlUnitStatEntry> getList() {
		return statList;
	}

	public void setList(List<XmlUnitStatEntry> statList) {
		this.statList = statList;
	}
}
