/*
 * Copyright (C) 2011 Mladen Uzelac
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.configuration;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="FLConfiguration")
@XmlAccessorType(XmlAccessType.FIELD)
public class FLConfiguration {

	@XmlElement(name = "DefaultServerIp")
	private String defaultServerIp;
	
	@XmlElement(name = "DefaultServerPort")
	private String defaultServerPort;
	
	@XmlElement(name = "DataRepositoryPath")
	private String dataRepositoryPath;	
	
	@XmlElement(name = "EventVolume")
	private int eventVolume;
	
	@XmlElement(name = "SoundVolume")
	private int soundVolume;

	@XmlElement(name = "EventsPlayed")
	private boolean eventsPlayed;

	@XmlElement(name = "SoundPlayed")
	private boolean soundPlayed;

	public FLConfiguration() {
	}

	public String getDefaultServerIp() {
		return defaultServerIp;
	}
	
	public String getDefaultServerPort() {
		return defaultServerPort;
	}

	public String getDataRepositoryPath() {
		return dataRepositoryPath;
	}

	public int getEventVolume() {
		return eventVolume;
	}

	public int getSoundVolume() {
		return soundVolume;
	}

	public boolean getEventsPlayed() {
		return eventsPlayed;
	}

	public boolean getSound() {
		return soundPlayed;
	}
}
