/*
 * Copyright (C) 2011 Anton Kirillov, Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.map;

import javax.xml.bind.annotation.XmlElement;

public class Position {

	@XmlElement(name = "x")
	private int x;
	@XmlElement(name = "y")
	private int y;

	public Position() {
	}

	public Position(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		final Position other = (Position) obj;
		if ((this.x != other.x) || (this.y != other.y)) {
			return false;
		}
		return true;
	}

	@Override
	public int hashCode() {
		// should yield unique hashes up to really large maps
		int hash = this.x + 1024 * this.y; 
		return hash;
	}

	@Override
	public Object clone() {
		Position position = new Position(x, y);
		return position;
	}
}
