/*
 * Copyright (C) 2011 Leonel Iturralde, Ulf Lorenz, Premkumar Bhaskal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.map;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import java.util.List;

import org.freelords.map.tile.MapTile;

@XmlRootElement(name = "map")
@XmlAccessorType(XmlAccessType.FIELD)
public class ScenarioMap {

	@XmlElement(name = "width")
	private int width;
	@XmlElement(name = "height")
	private int height;

	@XmlElement(name = "mapTiles")
	private List<MapTile> tiles;

	public ScenarioMap() {
	}

	/** Returns the width of the map. */
	public int getWidth() {
		return width;
	}

	/** Returns the height of the map. */
	public int getHeight() {
		return height;
	}

	public List<MapTile> getTiles() {
		return tiles;
	}

}
