/*
 * Copyright (C) 2011 Andrea Paternesi, Ion Pana, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.command;

/** Basic interface of a network command.
 *
 * <p>
 * Network command instances are the packages that are sent from the client to
 * the server to initiate some reaction. The server performs a couple of basic
 * checks, such as whether the client is allowed to send such a package at all,
 * and delivers the command to a number of registered services that can handle
 * it, and which perform the actual work on the server side.
 * </p>
 */

public interface FLNetworkCommand {
}
