/*
 * Copyright (C) 2011 Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.common;

/** An enum that specifies the access rights of a client.
 *
 * <p>
 * This enum is used when setting access rights for a given client. Initially,
 * all clients start out as guest, which means they cannot do anything but
 * watch a game. The next step are active players, which participate in a game
 * and can, e.g., move units around. To allow AI's to cheat, they form a
 * separate role model. Finally, the administrator(s) is the one that has
 * certain special privileges, such as selecting the map to play etc.
 * </p>
 */

public enum ClientRole {
	ADMIN,
	AI,
	PLAYER,
	GUEST;
}
