/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.common;

/** Represents a node (client or server) on the network.
  *
  * The main point of this marker interface is to offer a shared interface for
  * the client and the server to register new classes. Since kryonet is sensitive
  * to the order in which classes are registered, it seems a good idea to
  * centralize this part.
  */

public interface FLNetworkNode {

	/** Register a new class for kryonet to serialize. */
	public void registerClass(Class networkClass);
}
