/*
 * Copyright (C) 2011 Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.network.server;

import org.freelords.network.common.FLNetworkConnection;
import com.esotericsoftware.kryonet.Connection;
import com.esotericsoftware.kryonet.Server;

/** Minimal wrapper around a kryonet server.
 *
 * All that we do is override a single function such that it returns 
 * {@link org.freelords.network.common.FLNetworkConnection FLNetworkConnection}
 * objects instead of the generic kryonet connections. We use this custom class
 * to store some additional data about the client that is hiding behind the
 * connection. Instances of this class deal with the low-level IO stuff on the
 * server side.
 */
public class FLBaseServer extends Server {

	/** Returns a new connection instance that is bound to a certain input client. */
	@Override
	public Connection newConnection() {
		return new FLNetworkConnection();
	}
}
