/*
 * Copyright (C) 2011 Anton Kirillov, Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.update;

import java.util.UUID;
import org.freelords.network.client.Session;

public class ClientRegistrationUpdate implements Update {
	
	private String id;

	/** No-args constructor required by kryonet. */
	private ClientRegistrationUpdate() {}
	
	/**
	 * Creates a ClientRegistrationUpdate and pass the new client id as parameter.
	 * 
	 * @param id The id of the newly registered client.
	 */
	public ClientRegistrationUpdate(UUID id) {
		this.id = id.toString();
	}

	/**
	 * This would update the Session object
	 * 
	 * @param session The session to be updated with new data.
	 */
	@Override
	public void updateSession(Session session) {
		session.setCurrentClientId(UUID.fromString(id));
	}
}
