/*
 * Copyright (C) 2011 Paul Statham, Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.update;

import org.freelords.network.client.Session;

public class UpdateError implements Update {
	
	private Exception updateException;

	/** No-args constructor required by kryonet. */
	private UpdateError() {}
	
	/**
	 * Constructor of UpdateError
	 * @param exception Exception type of UpdateError
	 */
	public UpdateError(Exception exception) {
		this.updateException = exception;
	}

	public Exception getException() {
		return this.updateException;
	}

	@Override
	public void updateSession(Session session) {
		throw new UnsupportedOperationException("Not supported yet.");
	}
}
