/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.resourcemanager;

/** An exception to be thrown if a repository could not be accessed.
 *
 */
public class InvalidFileException extends Exception {

	private static final long serialVersionUID = -3586807062448095588L;

	/** Sets up the exception with a specified filename and no cause. */
	public InvalidFileException(String file) {
		this(file, null);
	}

	/** Sets up the exception with a file name and a cause. */
	public InvalidFileException(String file, Throwable cause) {
		super("Could not open repository located at: " + file, cause);
	}
}
