/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.resourcemanager;


/** The directory location of a resource.
  *
  * Within a repository, there are predefined names for the directories. E.g.,
  * army data might be found under "armies", music files under "music" etc. The
  * exact directory name is encapsulated in this enum.
  *
  */

public enum ResourcePackage {
	
	TEST("test"),
	ARMY("army");

	private String directoryName;

	/** Sets the directory name of this package. */
	ResourcePackage(String name) {
		this.directoryName = name;
	}

	/** Returns the name of the directory associated with this package. */
	public String getName() {
		return directoryName;
	}
}
