/*
 * Copyright (C) 2011 Premkumar Bhaskal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.scenario;

import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.freelords.map.ScenarioMap;
import org.freelords.player.Player;

@XmlRootElement(name = "scenario")
@XmlAccessorType(XmlAccessType.FIELD)
public class Scenario {

	@XmlElement(name = "name")
	private String name;

	@XmlElement(name = "gamemap")
	private ScenarioMap gamemap;

	@XmlElement(name = "player")
	private List<Player> players;

	public Scenario() {

	}

	/**
	 * @return name of the scenario
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return scenario map
	 */
	public ScenarioMap getGamemap() {
		return gamemap;
	}

	/**
	 * @return list of {@link Player}
	 */
	public List<Player> getPlayers() {
		return players;
	}

}
