/*
 * Copyright (C) 2011 Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.sound;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import org.freelords.resourcemanager.ResourcePackage;

/** Class that keeps the data about some sound/music file. */
@XmlAccessorType(XmlAccessType.FIELD)
public class SoundMapping implements Serializable {

	private static final long serialVersionUID = 6176396147747388134L;
	@XmlElement(name = "package")
	private ResourcePackage directory;
	private String file;
	
	public ResourcePackage getDirectory() {
		return directory;
	}

	public String getFile() {
		return file;
	}

	public void setDirectory(ResourcePackage directory) {
		this.directory = directory;
	}

	public void setFile(String file) {
		this.file = file;
	}
}
