/*
 * Copyright (C) 2011 Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.sound.command;

import org.freelords.sound.AudioPlayer;

public class RunPlayer implements SoundCommand {

	private AudioPlayer playerToRun;
	private final boolean mute;
	private final int soundVolume;

	public RunPlayer(AudioPlayer playerToRun,boolean mute,int soundVolume) {
		this.playerToRun=playerToRun;
		this.mute = mute;
		this.soundVolume = soundVolume;
	}

	public void run() {
		playerToRun.start();
		if (mute) {
			playerToRun.mute();
		}
		try {
			playerToRun.setVolume(soundVolume);
		} catch (Exception e) {
			// Usually, this error occurs because there is no volume control.
			// Then we just have to content ourselves with not setting the volume.
		}
	}
}
