/*
 * Copyright (C) 2011 Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.sound.command;

import org.freelords.sound.AudioPlayer;

public class SetSoundVolume implements SoundCommand {

	private final int volume;
	private AudioPlayer player;

	public SetSoundVolume(int volume, AudioPlayer player) {
		this.volume = volume;
		this.player = player;
	}

	public void run() {
		try {
			player.setVolume(volume);
		} catch (Exception e) {
			// silent failing ...
		}
	}
}
