/*
 * Copyright (C) 2011 Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.sound.jaxb;

import java.util.List;
import javax.xml.bind.annotation.XmlAttribute;
import org.freelords.sound.SoundEvent;
import org.freelords.sound.SoundMapping;

/** A class that defines a single entry in the XML representation.
 *
 *  It generates from the following xml
 *
 * <value>
 *     <package>TEST</package>
 *     <file>test</file>
 * </value>
 *
 */
public class XmlHashMapEntryType {

	private SoundEvent key;
	private List<SoundMapping> value;

	@XmlAttribute
	public SoundEvent getKey() {
		return key;
	}

	public void setKey(SoundEvent key) {
		this.key = key;
	}

	public List<SoundMapping> getValue() {
		return value;
	}

	public void setValue(List<SoundMapping> value) {
		this.value = value;
	}
}
