/*
 * Copyright (C) 2011 Ulf Lorenz, Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.sound.jaxb;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;


/** The class that defines the XML representation of the HashMap.
 *
 *  It has a list of entries and generates from the following xml
 *
 *  <entry key="VICTORY">
 *       <value>
 *           <package>TEST</package>
 *           <file>test</file>
 *       </value>
 *       <value>
 *           ...
 *       </value>
 *       ...
 *  </entry>
 *
 * followed by more entries if requested. Entries with duplicate keys are not
 * merged, only one of them is taken.
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class XmlHashMapType {

	@XmlElement
	private List<XmlHashMapEntryType> entry;
	
	public List<XmlHashMapEntryType> getEntry() {
		return entry;
	}

	public void setEntry(List<XmlHashMapEntryType> entry) {
		this.entry = entry;
	}	
}
