/*
 * Copyright (C) 2011 Anton Kirillov, Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.army;

import java.util.Arrays;

import org.freelords.resourcemanager.DataRepository;
import org.freelords.resourcemanager.InvalidFileException;
import org.freelords.resourcemanager.ResourceRepository;
import org.freelords.xmlmanager.XmlManager;
import org.freelords.xmlmanager.utils.XmlTestHelper;

/** Encapsulates a few lines to properly set up a UnitManager. */

public class UnitManagerHelper {

	public static UnitManager createTestUnitManager() throws InvalidFileException {
		String path = UnitManagerHelper.class.getResource("files/repository").getPath();

		XmlManager xmlManager = XmlTestHelper.createXmlManagerFor(Unit.class, StatCalculator.class);

		ResourceRepository rep = new DataRepository(Arrays.asList(path));
		rep.connectToResources();

		return new UnitManager(xmlManager, rep);
	}
}
