/*
 * Copyright (C) 2011 Premkumar Bhaskal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.map;

import org.freelords.map.Position;
import org.freelords.map.tile.Access;
import org.freelords.map.tile.MapTile;

import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;

public class MapEntityTest {

	private MapTile mapTile;
	private MapEntity mapEntity;

	private String name = "TEST";
	private int x = 10;
	private int y = 20;
	private Position position = new Position(x, y);
	private int movementPoints = 5;
	private Access access = Access.FORBIDDEN;

	@Before
	public void setUp() {
		mapTile = new MapTile(name, position, movementPoints, access);
		mapEntity = new MapEntity();
		mapEntity.setMapTile(mapTile);
	}

	@Test
	public void testGetPosition() {
		assertEquals(x, mapEntity.getPosition().getX());
		assertEquals(y, mapEntity.getPosition().getY());
	}

}
