/*
 * Copyright (C) 2011 Leonel Iturralde, Ulf Lorenz, Premkumar Bhaskal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.map.building.city;

import java.util.ArrayList;

import org.junit.Before;
import org.junit.Test;

public class CityTest {

	private City testCity;

	@Before
	public void setUp() throws Exception {
		testCity = new City();
	}

	@Test(expected = IllegalStateException.class)
	public void CityNameIsImmutableAndSetThrowsExceptionOnSecondCall() {
		testCity.setName("anyName");
		testCity.setName("anotherName");
	}

	@Test(expected = IllegalStateException.class)
	public void CityVillageIdsListIsImmutableAndSetThrowsExceptionOnSecondCall() {
		testCity.setListOfOwnedVillages(new ArrayList<String>());
		testCity.setListOfOwnedVillages(new ArrayList<String>());
	}
}
