/*
 * Copyright (C) 2011 Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.client;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;

public class SessionTest {

	private Map<UUID,String> clientMap = new HashMap<UUID,String>();
	private Session session = new Session();


	@Before
	public void setUp() throws Exception {
		clientMap.put(UUID.randomUUID(), "name1");
		clientMap.put(UUID.randomUUID(), "name2");
	}

	@Test
	public void checkThatListingIsDoneProperly() {
		session.updateClients(clientMap);

		assertEquals("Id listing is not correct.", clientMap.keySet(), session.listClientIds());
		for (UUID id : clientMap.keySet()) {
			assertEquals("Client name was returned incorrectly.", clientMap.get(id), session.getClientName(id));
		}
	}
}
