/*
 * Copyright (C) 2011 Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.client.fake;

import com.esotericsoftware.kryo.Kryo;
import com.esotericsoftware.kryonet.Client;
import com.esotericsoftware.kryonet.Listener;
import java.io.IOException;
import org.freelords.network.fake.FakeKryo;

public class FakeKryonetClient extends Client {

	public boolean isRunning = false;
	public boolean listenerAdded = false;
	public boolean commandSent =false;
	public boolean isConnected = false;
	public FakeKryo kryo;

	@Override
	public Kryo getKryo() {
		this.kryo = new FakeKryo();
		return kryo;
	}

	@Override
	public void start() {
		this.isRunning = true;
	}

	@Override
	public void connect(int i, String string, int i1) throws IOException {
		this.isConnected=true;
	}
	
	@Override
	public void stop() {
		this.isRunning = false;
	}

	@Override
	public void addListener(Listener listener) {
		this.listenerAdded=true;
	}

	@Override
	public int sendTCP(Object object) {
		this.commandSent=true;
		return 0;
	}
}
