/*
 * Copyright (C) 2011 Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.client.fake;

import java.util.Map;
import java.util.UUID;
import org.freelords.network.client.Session;

public class FakeSession extends Session {

	public boolean clientIdSet = false;
	public boolean mapClientsIdSet = false;

	public FakeSession() {
		super();
	}
		
	@Override
	public synchronized void setCurrentClientId(UUID id) {
		this.clientIdSet = true;
	}
	
	@Override
	public synchronized void updateClients(Map<UUID,String> newClients) {
		this.mapClientsIdSet=true;
	}
	
	@Override
	public synchronized boolean isListClientsIdEmpty() {
		return !mapClientsIdSet;
	}
}
