/*
 * Copyright (C) Ion Pana, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.common;

import java.util.UUID;

import org.junit.Assert;
import org.junit.Test;

public class FLNetworkConnectionTest {

	private FLNetworkConnection connection = new FLNetworkConnection();

	@Test(expected = IllegalStateException.class)
	public void testClientNameIsImmutableAfterInitialization() {
		this.connection.setClientName("player");
		this.connection.setClientName("player");
	}

	@Test(expected = IllegalStateException.class)
	public void testClientIdIsImmutableAfterInitialization() {
		this.connection.setClientId(UUID.randomUUID());
		this.connection.setClientId(UUID.randomUUID());
	}

	@Test
	/**
	 * Just validate the getter/setter functionality.
	 */
	public void testGetAndSetClientNameAreOk() {
		this.connection.setClientName("player");

		Assert.assertEquals("Getter should return what was set with the setter.",
				"player", this.connection.getClientName());
	}
}
