/*
 * Copyright (C) 2011 Andrea Paternesi, Anton Kirillov, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.server.fake;

import java.util.LinkedList;
import java.util.List;

import org.freelords.network.fake.FakeKryo;
import org.freelords.network.server.FLBaseServer;

import com.esotericsoftware.kryo.Kryo;
import com.esotericsoftware.kryonet.Connection;
import com.esotericsoftware.kryonet.Listener;

public class FakeKryonetServer extends FLBaseServer {

	public boolean bindCalled = false;
	public FakeKryo kryo;
	public boolean isRunning = false;
	public boolean listenerAdded = false;

	private List<Connection> connections = new LinkedList<Connection>();
	
	public FakeKryonetServer() {
	}

	@Override
	public Connection[] getConnections() {
		 Connection result [] = new Connection[connections.size()];
		 for (int i = 0; i < result.length; i++) {
			result[i] = connections.get(i);
		}
		return result;
	}
	
	public void addConnection(Connection connection) {
		connections.add(connection);
	}

	@Override
	public void bind(int i) {
		this.bindCalled = true;
	}

	@Override
	public Kryo getKryo() {
		this.kryo = new FakeKryo();
		return kryo;
	}

	@Override
	public void start() {
		this.isRunning = true;
	}

	@Override
	public void stop() {
		this.isRunning = false;
	}

	@Override
	public void addListener(Listener listener) {
		this.listenerAdded = true;
	}
}
