/*
 * Copyright (C) 2011 Ion Pana, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.server.fake;

import org.freelords.network.command.FLNetworkCommand;
import org.freelords.network.common.FLNetworkConnection;
import org.freelords.network.fake.FakeNetworkCommand;
import org.freelords.network.server.Updater;
import org.freelords.network.server.service.Service;


/** Fake service that only accepts FakeNetworkCommands. */

public class FakeService implements Service {
	public boolean accept = true;
	public boolean throwException = false;
	public boolean executed = false;

	@Override
	public boolean accept(FLNetworkCommand command) {
		if (!accept) {
			return false;
		}

		if (command instanceof FakeNetworkCommand) {
			return true;
		}
		return false;
	}
	
	@Override
	public void execute(FLNetworkCommand command, FLNetworkConnection connection, Updater updater) {
		if (throwException) {
			throw new IllegalArgumentException("Fake Service set to throwing an exception.");
		}

		executed = true;
	}
};
