/*
 * Copyright (C) 2011 Ion Pana, Ulf Lorenz, Andrea Paternesi
 *               2012 Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.server.integrationtest;

import com.esotericsoftware.minlog.Log;
import java.io.IOException;

import org.freelords.main.FreelordsClientBuilder;
import org.freelords.main.FreelordsServerBuilder;
import org.freelords.network.client.FLNetworkClient;
import org.freelords.network.command.ClientNetworkRegisterCommand;
import org.freelords.network.server.FLNetworkServer;

import org.junit.Test;

public class FLNetworkServerIntegrationTest {	

	@Test
	public void runATwoClientChatSetup() throws Exception {
		
		Log.set(Log.LEVEL_TRACE);
		// set up the server first
		FreelordsServerBuilder serverBuilder = new FreelordsServerBuilder(8090);		
		// now set up the clients.
		FreelordsClientBuilder clientBuilder = new FreelordsClientBuilder(System.out);
		FLNetworkServer freelordsServer;
		FLNetworkClient freelordsClient;
		try {
			freelordsServer = serverBuilder.build();
			freelordsClient = clientBuilder.build();
			freelordsServer.start();
			freelordsClient.start();
			freelordsClient.connect("localhost", 8090);
			
			freelordsClient.sendCommand(new ClientNetworkRegisterCommand("Client 1"));
								
			Thread.sleep(5000);
			freelordsServer.stop();
			freelordsClient.stop();		
			
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
}
