/*
 * Copyright (C) Andrea Paternesi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.network.update;

import java.util.UUID;
import org.freelords.network.client.fake.FakeSession;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class UpdatesTest {

	private ClientListUpdate clientListUpdate= new ClientListUpdate();
	private ClientRegistrationUpdate clientRegistrationUpdate = new ClientRegistrationUpdate(UUID.randomUUID());
	private FakeSession session = new FakeSession();

	@Before
	public void Setup() {
	}
	
	@Test
	public void clientListUpdateUpdateSessionCorrectly() {
		clientListUpdate.addClient(UUID.randomUUID(), "player");
		clientListUpdate.updateSession(session);
		
		assertTrue("Session was not modified .",session.mapClientsIdSet);
	}
	
	@Test
	public void clientRegistrationUpdateUpdateSessionCorrectly() {
		clientRegistrationUpdate.updateSession(session);
		
		assertTrue("Session was not modified .",session.clientIdSet);
	}
}
