/*
 * Copyright (C) 2011 Premkumar Bhaskal, Andrea Paternesi, Ulf Lorenz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
package org.freelords.player;

import java.io.File;

import org.freelords.xmlmanager.XmlManager;
import org.freelords.xmlmanager.utils.XmlTestHelper;

import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;


public class PlayerTest {

	private Player testPlayer;	
	private File file = new File(this.getClass().getResource("files/player.xml").getFile());

	@Before
	public void setUp() throws Exception {
		XmlManager xmlManager = XmlTestHelper.createXmlManagerFor(Player.class);
		testPlayer = xmlManager.unmarshall(file);
	}

	@Test
	public void checkIfTitleIsCorrectlyPrepended() {
		String name = "Sebastian Vettel";
		final String FULLNAME = testPlayer.getTitle() + " " + name;
		assertEquals("The Player Name is returned properly", FULLNAME, testPlayer.prependTitle(name));
	}
}
