/*
 * Copyright (C) 2011 Mladen Uzelac
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

package org.freelords.xmlmanager.jaxb.configuration;

import static org.junit.Assert.*;
import java.io.*;

import org.freelords.configuration.FLConfiguration;
import org.freelords.xmlmanager.XmlManager;
import org.freelords.xmlmanager.utils.XPathHelper;
import org.freelords.xmlmanager.utils.XmlTestHelper;
import org.junit.*;

public class FLConfigurationJaxbTest {

//	private File inputFile = new File(this.getClass().getResource("files/configuration.xml").getFile());
//	private XmlManager  manager = XmlTestHelper.createXmlManagerFor(FLConfiguration.class);
	
	
	@Test
	public void testThatFLConfigurationisLoadedCorrectly() throws Exception{
//		FLConfiguration flc = manager.unmarshall(this.inputFile);
//		validateInstance(flc, new XPathHelper(this.inputFile));
	}
	

	private void validateInstance(FLConfiguration flc, XPathHelper helper) {
		assertEquals("Default server ip is not set correcly", 
				helper.evaluateXPathAsString("//FLConfiguration/DefaultServerIp"),
				flc.getDefaultServerIp());
		assertEquals("Default server port is not set correcly", 
				helper.evaluateXPathAsString("//FLConfiguration/DefaultServerPort"),
				flc.getDefaultServerPort());
		assertEquals("Data repository path is not set correctly",
				helper.evaluateXPathAsString("//FLConfiguration/DataRepositoryPath"),
				flc.getDataRepositoryPath());
		assertEquals("Event Volume is not properly set",
				helper.evaluateXPathAsInteger("//FLConfiguration/EventVolume"),
				flc.getEventVolume());
		assertEquals("Sound Volume is not properly set",
				helper.evaluateXPathAsInteger("//FLConfiguration/SoundVolume"),
				flc.getSoundVolume());
		assertEquals("Events get played properties not properly set",
				helper.evaluateXPathAsBoolean("//FLConfiguration/EventsPlayed"),
				flc.getEventsPlayed());
		assertEquals("Sound get played property not properly set",
				helper.evaluateXPathAsBoolean("//FLConfiguration/SoundPlayed"),
				flc.getSound());
	}	
}
